MacellanMacellan SuperApp
Box Office

Bakiye Yükleme

Mevcut bir karta bakiye yükleme işlemi yapar.

POST
/integration/box-office/top-up

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

card_no*string

Kart numarası

amount*number

Yüklenecek miktar

Formatfloat
method*string

Ödeme yöntemi

Value in"cash" | "credit_card"
extra?object

Ek bilgiler

{
  "card_no": "1234567890",
  "amount": 50,
  "method": "credit_card",
  "extra": {
    "receipt_no": "RC123456"
  }
}

Response Body

application/json

application/json

application/json

curl -X POST "https://api.altpay.dev/integration/box-office/top-up" \  -H "Content-Type: application/json" \  -d '{    "card_no": "1234567890",    "amount": 50,    "method": "credit_card"  }'
{
  "data": {
    "id": 0,
    "visibility": true,
    "balance": 0.1,
    "point": 0.1,
    "total_balance": 0.1,
    "held_balance": 0.1,
    "held_point": 0.1,
    "total_held": 0.1,
    "company_id": 0,
    "user": {
      "id": 0,
      "first_name": "string",
      "last_name": "string",
      "full_name": "string",
      "email": "string",
      "phone": "string"
    }
  }
}
{
  "message": "Unauthenticated"
}
{
  "message": "İşlemi yapmak için yetkili değilsiniz."
}